<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{317,145,736,478}</property>
    <property name="Name">[osset_qtdconsumida]</property>
    <property name="Caption">[Informacao de Consumo]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Arial" width="0" height="-21" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">16777215</property>
    <property name="Icon">[]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
SET(5,1960) ]]>
  </method>
  <part class="line">
    <style>
      <property name="Geometry">{7,411,715,2}</property>
      <property name="Name">[oLine1]</property>
    </style>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{7,3,715,386}</property>
      <property name="Name">[oGroup1]</property>
      <property name="TabIndex">1</property>
    </style>
    <part class="editbox">
      <style>
        <property name="Geometry">{118,27,589,63}</property>
        <property name="Name">[om_fObs]</property>
        <property name="varName">[m_fObs]</property>
        <property name="Multiline">.T.</property>
        <property name="cPicture">[]</property>
        <property name="nMaxLength"></property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">1</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[//
return .f.]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{28,27,83,26}</property>
        <property name="Name">[oSaym_fObs]</property>
        <property name="Caption">[Pedido:]</property>
        <property name="BackColor">16777215</property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">2</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{118,93,589,63}</property>
        <property name="Name">[om_pdesc]</property>
        <property name="varName">[m_pdesc]</property>
        <property name="Multiline">.T.</property>
        <property name="cPicture">[]</property>
        <property name="nMaxLength"></property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">2</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[//
return .f.]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{28,93,72,26}</property>
        <property name="Name">[oSaym_pdesc]</property>
        <property name="Caption">[Tarefa:]</property>
        <property name="BackColor">16777215</property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">3</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{118,159,589,63}</property>
        <property name="Name">[ocConsumoNecessario]</property>
        <property name="varName">[cConsumoNecessario]</property>
        <property name="Multiline">.T.</property>
        <property name="cPicture">[]</property>
        <property name="nMaxLength"></property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">3</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[//
return .f.]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{22,159,88,63}</property>
        <property name="Name">[oSaycConsumoNecessario]</property>
        <property name="Caption">[Consumo Necessario]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">4</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{118,227,589,63}</property>
        <property name="Name">[ocConsumoAtendido]</property>
        <property name="varName">[cConsumoAtendido]</property>
        <property name="Multiline">.T.</property>
        <property name="cPicture">[]</property>
        <property name="nMaxLength"></property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">4</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[//
return .f.]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{28,227,80,63}</property>
        <property name="Name">[oSaycConsumoAtendido]</property>
        <property name="Caption">[Consumo Atendido]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-16" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">5</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{328,305,120,28}</property>
        <property name="Name">[om_mQdigit]</property>
        <property name="varName">[m_mQdigit]</property>
        <property name="cPicture">[999999.999]</property>
        <property name="nMaxLength">10</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">5</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[//
return m_mQdigit>0]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{28,305,293,26}</property>
        <property name="Name">[oSaym_mQdigit]</property>
        <property name="Caption">[Quant. Sendo Atendida Agora:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">6</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{328,341,95,28}</property>
        <property name="Name">[onfNumero]</property>
        <property name="varName">[nfNumero]</property>
        <property name="cPicture">[999999]</property>
        <property name="nMaxLength">6</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">6</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[//
return PSQ_BROW('FP_PTFUN','PFPFUN','NFNUMERO','N','S',6,17,'','','',,onfNumero,)]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{80,341,241,26}</property>
        <property name="Name">[oSaynfNumero]</property>
        <property name="Caption">[Funcionario Solicitante:]</property>
        <property name="Justify">[Right]</property>
        <property name="BackColor">16777215</property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{425,341,16,16}</property>
        <property name="Name">[obonfNumero]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">8</property>
      </style>
      <method name="onClick">
        <![CDATA[PSQ_BROW('FP_PTFUN','PFPFUN','NFNUMERO','N','S',6,17,'','','','EXIBA',onfNumero,)]]>
      </method>
    </part>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{547,425,70,28}</property>
      <property name="Name">[oOwnerbutton1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[&amp;OK]</property>
      <property name="TabIndex">1000</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{632,425,90,28}</property>
      <property name="Name">[oOwnerbutton2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[&amp;Cancela]</property>
      <property name="TabIndex">1001</property>
      <property name="TabStop">.F.</property>
    </style>
  </part>
</part>
